% Sonata K25 (Domenico Scarlatti)
% Engraving by Sebastiano Vigna

\version "2.11.23"

\paper {
       between-system-padding = #0.1
       ragged-last-bottom = ##t
       ragged-bottom = ##t
}

\book {
	\header {
		title = "Sonate K25"
		composer = "Domenico Scarlatti (1685-1757)"
		arranger = "Gravée par Sebastiano Vigna"
        tagline = "Gravure effectuée grâce à www.lilypond.org"
	}

\score {

\context PianoStaff <<

\override Score.SpacingSpanner #'shortest-duration-space = #2.5

\context Staff = upper {
	\skip 1 * 10 
}
\context Staff = lower {
	% #(override-auto-beam-setting '(end * * * *) 1 2 'Staff)
	\skip 1 * 10 
}

\context Staff = upper {
\time 2/4
#(set-accidental-style 'modern)
\key fis \minor
\relative c' {
	fis16 a gis a fis cis b' gis  a fis d' b cis a gis' eis  fis cis d b cis a b gis
	
	% 4
	a4. gis16 eis  fis8 b16 gis a8 b16 gis
	% 6
	a16 cis \repeat unfold 3 { fis b,  e a, d gis,  cis fis, b eis, a fis b gis a32 gis fis16 }
	% 12 + 1/8
	<< { cis'8^\markup{M}[ d cis] } \\ { cis,16 fis a fis cis fis } >>
	% 13
	<< { s8 cis'[ d cis] } \\ { gis16 eis cis eis gis eis cis eis } >>
	<< { s8 cis'8[ d cis] } \\ { a16 fis cis fis a fis cis fis } >>
	<< { s8 cis'[ d cis] } \\ { gis16 eis cis eis gis eis cis eis } >>
	% 16
	a16 cis, bis gis' cis, fis e dis  e e' fis, dis' gis, gis' cis, fis  gis cis, dis bis  cis a' gis fis	
	% 19
	<< { s8 gis[ a gis] } \\ { e32 dis cis16 gis cis e cis gis cis } >>
	<< { s8 gis'[ a gis] } \\ { dis16 bis gis bis dis bis gis bis  } >>
	<< { s8 gis'[ a gis] } \\ { e16 cis gis cis e cis gis cis } >>
	<< { s8 gis'[ a gis] } \\ { dis16 bis gis bis dis bis gis bis  } >>
	% 23
	\stemUp
	e32 dis cis16  a' dis, gis cis, fis bis,
	e32 dis cis16  a' dis, gis cis, fis bis,
	e32 dis cis16  a' dis, gis cis, fis b,
	\stemNeutral
	% 26
	<< { s8 eis8[ fis gis] } \\ { eis16 cis d b  cis a d b  } >>
	a' gis fis e  dis cis b a  gis' fis e dis e32 dis cis16 bis cis  dis a gis fis  e32 dis cis16 bis cis
	% 30
	<< { s8 gis'[ a gis] } \\ { dis16 bis gis bis dis bis gis bis  } >>
	<< { s8 gis'[ a gis] } \\ { e16 cis gis cis e cis gis cis  } >>
	<< { s8 gis'[ a gis] } \\ { dis16 bis gis bis dis bis gis bis  } >>
	<< { s8 gis'[ a gis] } \\ { e16 cis gis cis e cis gis cis  } >>
	<< { s8 gis'[ a gis] } \\ { dis16 bis gis bis dis bis gis bis  } >>
	% 35
	e32 dis cis16 eis cis fis cis gis' cis,  a' cis, ais' cis, bis' dis, cis' e,  
	% 37
	dis' gis, fisis gis fisis e' dis e  dis gis, fisis gis fisis fisis' gis fisis  gis gis, fisis gis fisis e' dis e  dis gis, fisis gis fisis fisis' gis fisis
	% 41
	gis dis cis bis cis fis e dis  e a gis fis e dis cis bis  cis a b gis a fis gis e  fis dis e32 dis cis16 <cis e>8 <bis dis>
	% 45
	cis2\prall
	
	\pageBreak

	% =============================================================================================
	
	% 46
	cis16 gis' fis gis  eis cis b' gis  a fis d' b cis a fis' dis  eis8 gis4 d8  cis[ b a gis] 
	% 50
	\repeat unfold 3 { a32 gis fis16 d' gis, cis fis, b eis, } ais32 gis fis16 g' ais, fis' b, e cis
	% 54
	<< { s8 fis[ g fis] } \\ { d32 cis b16 fis b d b fis b } >>
	<< { s8 fis'[ g fis] } \\ { cis16 ais fis ais cis ais fis ais } >>
	<< { s8 fis'[ g fis] } \\ { d16 b fis b d b fis b } >>
	<< { s8 fis'[ g fis] } \\ { cis16 ais fis ais cis ais fis ais } >>
	<< { s8 gis'[ ais gis] } \\ { dis16 b fis b dis b fis b } >>
	<< { s8 ais'[ b ais] } \\ { eis16 cisis ais cisis eis cisis ais cisis } >>
	<< { s8 ais'[ b ais] } \\ { fis16 dis ais dis fis dis ais dis } >>
	<< { s8 ais'[ b ais] } \\ { eis16 cisis ais cisis eis cisis ais cisis } >>
	% 62
	fisis16 dis e cis dis b cis ais  bis32 ais gis16 a' dis, gis cis, fis dis
	% 64
	<< { s8 eis8[ fis gis] } \\ { e32 dis cis16 d b cis a b gis } >> << { a'8 ais b ais } \\ { fis16 cis g' e fis d g e } >>
	% 66
	\stemUp
	<< { b'32 a gis16 fis eis fis d cis b } \\ { d8 } >>
	b'32 a gis16 fis eis fis cis b a
	<< { b'32 a gis16 fis eis fis d cis b } \\ { d8 } >>
	b'32 a gis16 fis eis fis cis b a
	{ b'32 a gis16 eis fis gis b, a gis }
	\stemNeutral
	% 71
	\repeat unfold 2 { a32 gis fis16 d' gis, cis fis, b eis, } a32 gis fis16 fis' b, e a, d gis,  cis fis, b eis, a32 gis fis16 eis fis
	% 75
	<< { s8 cis'[ d cis] } \\ { gis16 eis cis eis gis eis cis eis } >>
	<< { s8 cis'8[ d cis] } \\ { a16 fis cis fis a fis cis fis } >>
	<< { s8 cis'[ d cis] } \\ { gis16 eis cis eis gis eis cis eis } >>
	<< { s8 cis'8[ d cis] } \\ { a16 fis cis fis a fis cis fis } >>
	<< { s8 cis'[ d cis] } \\ { gis16 eis cis eis gis eis cis eis } >>
	% 80
	\repeat unfold 2 { a32 gis fis16 d' gis, cis fis, b eis, } a32 gis fis16 fis' b, e a, d gis,
	% 83
	cis fis, b' gis a fis gis eis  fis32 gis a16  b32 a gis16 a32 gis fis16  gis32 fis eis16 
	% 85
	fis32 e d16 e32 d cis16 d32 cis b16 cis32 b a16 b32 a gis16 a32 gis fis16 <fis a>8 <eis gis> fis2\prall
	
	
}
}
\context Staff = lower {
\key fis \minor
#(set-accidental-style 'modern)
\clef bass
\relative bis { 
	s1.
	
	%4
	fis16[ a gis a]  fis[ cis b' gis]  a[ fis d' b]  cis[ a gis' eis]
	% 6
	fis8 d cis b  a gis fis cis   fis,\noBeam d'' cis b   a gis fis cis   fis,\noBeam d'' cis b   a gis fis cis
	% 12
	fis8 s4.  cis8_\markup{M} s4.  fis8 s4. cis8 s4.
	% 16
	fis8 gis a bis \clef treble cis dis e a  gis fis e dis
	% 19
	cis8 s4. \clef bass  gis8 s4. cis,8 s4. gis'8 s4.
	% 23
	%\change Staff = upper \stemDown
	\clef treble
	cis8 fis e dis  cis fis e dis  cis fis e d
	%\change Staff = lower \stemNeutral
	\clef bass
	% 26
	cis8 b a gis fis a b dis, e gis a,[ a'] gis bis, cis a
	% 30
	gis8 s4.  cis8 s4.  gis8 s4. cis,8 s4. gis'8 s4.
	% 35
	cis8 b' a gis fis e dis cis
	% 37
	gis'8 gis <dis' cis ais>8 <dis cis ais>8 \repeat unfold 3 { <gis, dis'> <gis dis'> <dis' cis ais>8 <dis cis ais>8 }
	% 41
	<gis, dis'>8 <fis dis'> <e cis'> <dis bis'> <cis cis'> fis gis[ gis,] a' gis fis e dis cis gis'[ gis,] 
	% 45
	cis,2 \bar ":|:" \break

	% =============================================================================================
	
	% 46
	s2 s2 cis'16[ gis' fis gis]  eis[ cis b' gis]  a[ fis d' b]  cis[ a eis' cis]
	% 50
	\repeat unfold 2 { fis,8 <b d> <a cis> <gis b> } fis8 <b d> <a cis> <g b>  <fis cis'>8 <e cis'> <d b'> <cis ais'>
	% 54
	<b b'>8 s4.  fis'8 s4. b,8 s4. fis'8 s4. b8 s4. ais8 s4. dis8 s4. ais8 s4.
	% 62
	dis,8 cis' b ais  gis fis e dis
	% 64
	cis b' a gis fis e dis cis
	% 66
	b4 ~ b16 \change Staff = upper b'' a gis \change Staff = lower
	a,4 ~ a16 \change Staff = upper a' gis fis \change Staff = lower
	b,4 ~ b16 \change Staff = upper b' a gis \change Staff = lower
	a,4 ~ a16 \change Staff = upper a' gis fis
	\stemDown 
	% \override Voice.Stem #'length = #9 
	\override Voice.Stem #'details #'stem-shorten = #'(0 0)
	gis4 ~ gis16 gis fis eis \change Staff = lower \stemNeutral
	\revert Voice.Stem #'details #'stem-shorten
	% 71
	fis8 <b, d> <a cis> <gis b> <fis a> <b d> <a cis> <gis b> fis d' cis b <a cis> <gis b> <fis a> <d b'>
	% 75
	cis8 s4. fis,8 s4. cis8 s4. fis8 s4. cis8 s4.
	% 80
	fis'8 <b d> <a cis> <gis b> <fis a> <b d> <a cis> <gis b> <fis a> d' cis b
	% 83
	<a cis> gis fis cis' d b cis[ cis,] <d d'> <cis cis'> <b b'> <a a'> <gis gis'> <fis fis'> <cis cis'> <cis cis'> fis2 
	\bar "|."
	
}
}
>>

\header {
	piece ="Allegro"
}

	
  \midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 80 4)
      }
    }


        \layout { 
	  indent = 0\mm
	}
}

}

